/*
 * IO.h
 *
 *  Created on: March, 2016
 *      Author: anonymous ECCV submission 1747
 */

#ifndef IO_H_
#define IO_H_

namespace nl_uu_science_gmt
{

template<class T>
void write(cv::FileStorage& fs, const std::string&, const T& x)
{
	x.write(fs);
}

template<class T>
void read(const cv::FileNode& node, T& x, const T& d)
{
	if (node.empty())
		x = d;
	else
		x.read(node);
}

}

#endif /* IO_H_ */
